Bug 840447 - Review Request: python26-configobj - Configuration file reading, writing, and validation
Review Request: python26-configobj - Configuration file reading, writing, an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Massimo Paladin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 08:11 EDT by Steve Traylen
Modified: 2012-08-05 02:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 02:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
massimo.paladin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2012-07-16 08:11:22 EDT
Spec URL: http://cern.ch/straylen/rpms/python26-configobj/python26-configobj.spec
SRPM URL: http://cern.ch/straylen/rpms/python26-configobj/python26-configobj-4.7.2-5.el5.src.rpm
Description: Configuration file reading, writing, and validation
Fedora Account System Username: stevetraylen

Koji Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=4243380

This is an epel5 package.
Comment 1 Steve Traylen 2012-07-16 08:38:39 EDT
For reference there was an older abandoned review in #676007.
Comment 2 Massimo Paladin 2012-07-16 09:27:59 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mpaladin/rpmbuild/SPECS/840447/configobj-4.7.2.zip :
  MD5SUM this package     : 51cee395cfbf831339b03f72706de18e
  MD5SUM upstream package : 51cee395cfbf831339b03f72706de18e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0:
     http://www.voidspace.org.uk/downloads/configobj-%{version}.zip
     (configobj-%{version}.zip) Patch0: configobj-import-all-fix.patch
     (configobj-import-all-fix.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

rpmlint output:

python26-configobj.src: W: spelling-error Summary(en_US) Config -> Con fig, Con-fig, Configure
python26-configobj.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python26-configobj.src: W: spelling-error %description -l en_US ini -> uni, in, ii
python26-configobj.src: W: spelling-error %description -l en_US unrepr -> unreported
python26-configobj.src: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
python26-configobj.src:1: E: hardcoded-library-path in %{_prefix}/lib/python2.6/site-packages

-> spelling warnings are fine
-> hardcoded library path is acceptable as it is an epel 5 only package!

No blockers, fine for epel 5, package approved.
Comment 3 Steve Traylen 2012-07-16 10:15:33 EDT
New Package SCM Request
=======================
Package Name: python26-configobj
Short Description: Configuration file reading, writing, and validation
Owners: stevetraylen
Branches: el5
InitialCC:
Comment 4 Gwyn Ciesla 2012-07-16 11:08:17 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-16 13:30:38 EDT
python26-configobj-4.7.2-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-configobj-4.7.2-5.el5
Comment 6 Fedora Update System 2012-07-19 18:38:43 EDT
python26-configobj-4.7.2-5.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 7 Fedora Update System 2012-08-05 02:39:14 EDT
python26-configobj-4.7.2-5.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.